These steps are required for iOS users looking to play sif.

### Prerequisites:

- linux/macos/wsl2
- [libhonoka](https://github.com/DarkEnergyProcessor/libhonoka/releases/)

### Steps:

1. Download the [modified lovelive sif ipa](https://mega.nz/file/R1dQhLCL#mANiHWyDQY8ZmzkFcMadLTpKLpaWT7r0jiQE4wQ_Mqk)
2. Run `unzip Application.ipa` to unzip the app.
3. Use libhonoka to decrypt `server_info.json`. (`honoka2 server_info.json`) located at `Payload\LoveLive.app\ProjectResources\config\`
4. Edit the json file to point to your server.
5. Re-encrypt the json file by running `honoka2 -e -j server_info.json`.
6. Run `zip -qr "Application.resigned.ipa" Payload` to re-zip the ipa.
7. Use [sideloadly](https://sideloadly.io/) to install the ipa.

Assuming you did it correctly, you should be able to open the app and play sif.

### Web based patcher

I compiled libhonoka to WebAssembly and made it an easy GUI to use: [https://ethanaobrien.github.io/sif-patcher/](https://ethanaobrien.github.io/sif-patcher/)
Then just use [sideloadly](https://sideloadly.io/) to install the ipa.
