Both iOS and Android are supported. Follow the guide for your platform below:

## Android

Download the latest release of the [EW Android app](https://git.ethanthesleepy.one/ethanaobrien/ew-android/releases). This app will walk you through the setup, tell you what to download, and run the server for you.

This apk is signed with the following cert hash. This can be verified with an app like appverifier.
`18:A6:C1:5E:13:B7:9C:D3:A6:A3:39:59:2C:A9:6F:AD:04:9B:E8:E7:7A:02:9E:D7:4A:0A:5B:87:6E:F0:85:7D`

## iOS

1. Use Sideloadly to install [the global ipa](https://ethanthesleepy.one/public/lovelive/sif2/sif2-gl.ipa) or [the JP ipa](https://ethanthesleepy.one/public/lovelive/sif2/sif2-jp.ipa).
2. Set the asset url in system settings (under sif2 app) to `https://sif2.sif.moe` *(no / at the end)*
3. Setup a server on your computer using the latest ew release: [https://git.ethanthesleepy.one/ethanaobrien/ew/releases](https://git.ethanthesleepy.one/ethanaobrien/ew/releases)
4. Plug http://<your computer ipv4 address here> into settings (example: `http://192.168.1.123` *no / at the end*)

You can now open the app and play, if you did it right......
